<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class subvendor_ccms_invoices extends Model
{
    use HasFactory;
    protected $table='subvendor_ccms_invoices';
    protected $fillable=['from_jilla_id', 'suplied_by', 'ccmsdata', 'quantity', 'to_subvendor_id',"ccms_id", 'status','remarks','date_of_transfer', 'files','ccms_ph_receive_quantity', 'received_aluminium_cable','from_invoice_number','to_invoice_number'];

    public function from_district()
    {
        return $this->hasOne('App\Models\area_master','id','from_jilla_id');
    }
     public function to_district()
    {
        return $this->hasOne('App\Models\area_master','id','to_jilla_id');
    }
    
}